# class Xapian::Xapian::ExpandTerm

Ruby wrapper for an ExpandTerm, i.e. a Xapian::ESetIterator in C++ Not dangerous, but inconvenient to use from a Ruby programming idiom, so we wrap it.

### Attributes

name[RW]
weight[RW]

### Public Class Methods

new(name, weight) click to toggle source

    # File ../../../src/xapian-bindings-1.4.5/ruby/docs/xapian.rb, line 114
    def initialize(name, weight)
      @name = name
      @weight = weight
    end

### Public Instance Methods

==(other) click to toggle source

    # File ../../../src/xapian-bindings-1.4.5/ruby/docs/xapian.rb, line 119
    def ==(other)
      return other.is_a?(Xapian::ExpandTerm) && other.name == @name && other.weight == @weight
    end